Name:            g-wrap
Version:         1.9.14
Release:         alt1_2
Summary:         A tool for creating Scheme interfaces to C libraries

Group:           Development/C
License:         LGPLv2+
URL:             http://www.nongnu.org/g-wrap
Source:          http://savannah.nongnu.org/download/g-wrap/%{name}-%{version}.tar.gz

BuildRequires:   guile-devel guile-lib libffi-devel
BuildRequires:   slib glib2-devel autoconf
Requires:        guile-lib
Source44: import.info


%description
This is a tool for specifying types, functions, and constants to
import into a Scheme interpreter, and for generating code (in C) to
interface these to the Guile and RScheme interpreters in particular.


%package         devel
Summary:         Include files and libraries needed for g-wrap development
Group:           Development/C

Requires:        %{name} = %{version}-%{release}
Requires:        automake

%description     devel
g-wrap-devel contains development libraries and headers for g-wrap.

You can provide access to a given C API by creating a specification
file describing the interface you want published at the Scheme level.
g-wrap will handle generating all the lower level library interface
code so that the C library shows up as a set of Scheme functions.

You should install g-wrap-devel if you need to compile programs that
need to use g-wrap C<->Scheme functionality


%prep
%setup -q

%build
%configure --disable-static

#remove Rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

#Is not parallel-build-safe
make


%install
make INSTALL="install -p" install DESTDIR=%{buildroot}

# remove libtool archive
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

#Remove unneeded file
rm -f %{buildroot}%{_datadir}/info/dir
mv  %{buildroot}%{_datadir}/guile/site/g-wrap/config.scm ./config.old
cat config.old > config.scm
install -p -m 644 config.scm  %{buildroot}%{_datadir}/guile/site/g-wrap/config.scm


%files
%doc AUTHORS COPYING.LIB ChangeLog NEWS README THANKS
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/modules
%{_libdir}/%{name}/modules/*.so.*
%{_libdir}/*.so.*
%{_datadir}/guile/site/*
%{_mandir}/man1/g-wrap-config.1*

%files devel
%{_bindir}/*
%{_libdir}/*.so
%{_libdir}/%{name}/modules/libgw-guile-gw-glib.so
%{_libdir}/%{name}/modules/libgw-guile-standard.so
%{_includedir}/*
%{_datadir}/aclocal/*
%{_libdir}/pkgconfig/*
%doc %{_infodir}/g-wrap.*



%changelog
* Fri Jan 11 2013 Igor Vlasenko <viy@altlinux.ru> 1.9.14-alt1_2
- initial fc import

